#Module-Specific definitions
%define mod_version 2.1
%define release 2mdk
%define mod_name mod_sleep
%define mod_conf 29_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildRequires:  ADVX-build >= 1.1
BuildRequires:  %{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_sleep is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	mod_sleep201.tar.bz2
Source1:	%{mod_conf}.bz2

License:	BSD-style
URL:		http://www.snert.com/Software/mod_sleep/index.shtml
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq:		rpm-helper

%description
This module simply sleeps a fixed length of time every request.
The sleep time can be configured globally, or per <VirtualHost>,
<Directory>, or <Location>. This module serves more as an example
than providing any really useful function, though someone did ask
for it - sort of. 

%prep

%setup -q -n %{mod_name}-%{mod_version}

%build

%{apxs} -c mod_sleep.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc Img CHANGES* index.shtml mailto.js style.css
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Sat Feb 22 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.44_2.1-2mdk
- commented out the directives in the cofiguration file, otherwise if people
  install this module without thinking about it, their webserver will become
  slow as hell!

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_2.1-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_2.1-4mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_2.1-3mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_2.1-2mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Tue Nov 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_2.1-1mdk
- initial cooker contrib (no patch required!)
